{% extends 'base.html' %}

{% block content %}


    <main>
        <div>
            <h1>{{ projects.name }}</h1>
            <p>{{ projects.description }}</p>
            <h2>Tasks</h2>
            <p>
                <a href="{% url 'create_task' %}">Create New Task</a>
            </p>
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Assignee</th>
                            <th>Start Date</th>
                            <th>Due Date</th>
                            <th>Is Completed</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for task in projects.tasks.all %}
                      <tr>
                        <td>{{task.name}}</td>
                        <td>{{task.assignee.username}}</td>
                        <td>{{task.start_date}}</td>
                        <td>{{task.due_date}}</td>
                        <td>{{task.is_completed|yesno}}</td>
                      </tr>
                        {% empty %}
                            <p>This project has no tasks</p>
                        {% endfor %}
                    </tbody>
                </table>
        </div>
    </main>
{% endblock %}
